Loading...
Searching...
No Matches
indirect_vector.h File Reference
`#include "platform.h"`
`#include "functional.h"`
`#include "initializer_list.h"`
`#include "iterator.h"`
`#include "pool.h"`
`#include "static_assert.h"`
`#include "utility.h"`
`#include "vector.h"`

Go to the source code of this file.

## Classes

class | etl::indirect_vector_buffer_missmatch
class | etl::iindirect_vector< T >
class | etl::iindirect_vector< T >::unary_function_adaptor< TUnaryFunction, TReturnType >
| Unary function adaptor. More...
class | etl::iindirect_vector< T >::unary_function_adaptor< TUnaryFunction, void >
class | etl::iindirect_vector< T >::binary_function_adaptor< TBinaryFunction, TReturnType >
| Binary function adaptor. More...
class | etl::iindirect_vector< T >::binary_function_adaptor< TBinaryFunction, void >
class | etl::iindirect_vector< T >::iterator
| iterator. More...
class | etl::iindirect_vector< T >::const_iterator
| const_iterator. More...
class | etl::indirect_vector< T, MAX_SIZE_ >
class | etl::indirect_vector_ext< T >
| Template deduction guides. More...

## Namespaces

namespace | etl

## Functions

template<typename T>
bool | etl::operator== (const etl::iindirect_vector< T > &lhs, const etl::iindirect_vector< T > &rhs)
template<typename T>
bool | etl::operator!= (const etl::iindirect_vector< T > &lhs, const etl::iindirect_vector< T > &rhs)
template<typename T>
bool | etl::operator< (const etl::iindirect_vector< T > &lhs, const etl::iindirect_vector< T > &rhs)
template<typename T>
bool | etl::operator> (const etl::iindirect_vector< T > &lhs, const etl::iindirect_vector< T > &rhs)
template<typename T>
bool | etl::operator<= (const etl::iindirect_vector< T > &lhs, const etl::iindirect_vector< T > &rhs)
template<typename T>
bool | etl::operator>= (const etl::iindirect_vector< T > &lhs, const etl::iindirect_vector< T > &rhs)

## Variables

template<typename T, const size_t MAX_SIZE_>
ETL_CONSTANT size_t | etl::indirect_vector< T, MAX_SIZE_ >::MAX_SIZE